BU SERVİS, GOOGLE TARAFINDAN SAĞLANAN ÇEVİRİLER İÇEREBİLİR. GOOGLE, HERHANGİ BİR GARANTİ, GÜVENİLİRLİK VE TİCARİ ELVERİŞLİLİK, BELİRLİ BİR AMACA UYGUNLUK VE İHLAL ETMEME GARANTİLERİ DAHİL OLMAK ÜZERE AÇIK VEYA ZIMNİ GARANTİLER DE DAHİL OLMAK ÜZERE, AÇIK VEYA ZIMNİ TÜM GARANTİLERİ REDDEDER.

Kaspersky Lab web sitesi, Google Çeviri tarafından desteklenen çeviri yazılımı kullanılarak size kolaylık sağlamak amacıyla tercüme edilmiştir. Doğru bir çeviri sağlamak için makul çabalar sarf edilmiştir, ancak otomatik çeviri mükemmel değildir ve insan çevirmenlerinin yerini alması amaçlanmamıştır. Çeviriler, Kaspersky Lab web sitesinin kullanıcılarına bir hizmet olarak sunulur ve "olduğu gibi" sağlanır. İngilizce'den başka bir dile çevrilmiş herhangi bir çevirinin doğruluğu, güvenilirliği veya doğruluğu konusunda açık ya da zımni hiçbir garanti verilmemektedir. Çeviri yazılımı sınırlamaları nedeniyle bazı içerikler (görüntüler, videolar, Flash vb. Gibi) doğru bir şekilde çevrilemeyebilir.

KLA11109
Mozilla Firefox ve Firefox ESR'deki birden fazla güvenlik açığı
Yüklendi : 07/05/2018
Bulunma tarihi
?
09/28/2017
Şiddet
?
Kritik
Açıklama

Firefox ve Firefox ESR'de birden fazla ciddi güvenlik açığı bulundu. Kötü niyetli kullanıcılar bu güvenlik açıklarından yararlanabilir ve hizmet reddine, kullanıcı arabirimi sızmasına, güvenlik sınırlamalarını atlatmaya, hassas bilgiler edinmeye ve siteler arası komut dosyası gerçekleştirmeye neden olabilir.

Aşağıda güvenlik açıklarının tam listesi:

  1. Fetch API'sine ilişkin kullanımı sonrası ücretsiz güvenlik açığı hizmet reddine neden olmak için uzaktan kullanılabilir;
  2. Erişilebilir Zengin İnternet Uygulamaları (ARIA) öğelerine ilişkin ücretsiz bir güvenlik açığı hizmet reddine neden olmak için uzaktan kullanılabilir;
  3. Hizmet reddine neden olmak için ücretsiz bir güvenlik açığı kullanılabilir;
  4. ANGLE grafik kitaplığına bağlı bir bellek taşması güvenlik açığı hizmet reddine neden olmak için kullanılabilir;
  5. TLS 1.2 d ile ilgili bir serbest kullanım sonrası güvenlik açığı hizmet reddine neden olmak için uzaktan kullanılabilir;
  6. Blob: ve data ile ilgili bir güvenlik açığı: Güvenlik kısıtlamalarını atlamak için URL'ler uzaktan kullanılabilir.
  7. Bazı OS X yazı tiplerinin oluşturulmasına ilişkin bir güvenlik açığı güvenlik kısıtlamalarını atlamak için uzaktan kullanılabilir.
  8. İçerik güvenliği ilkesi (CSP) sanal alanı yönergesine ilişkin bir güvenlik açığı, siteler arası komut dosyasını gerçekleştirmek için uzaktan kullanılabilir.
  9. Bellek güvenliği hataları nedeniyle ortaya çıkan çoklu bellek bozulması güvenlik açıkları, keyfi kod yürütmek için uzaktan kullanılabilir;
  10. Belirtilmemiş bir güvenlik açığı, kullanıcı arabiriminin parodi için uzaktan kullanılabilir.
  11. Sürükle & Bırak Özelliği ile ilgili bir güvenlik açığı, yerel dosyaları okumak için özel olarak tasarlanmış sayfa içeriği aracılığıyla uzaktan kullanılabilir;
  12. JavaScript ayrıştırıcısına ilişkin bir güvenlik açığı hizmet reddine neden olmak veya hassas bilgiler elde etmek için potansiyel olarak kullanılabilir.
  13. Verilerdeki belirtilmemiş bir güvenlik açığı: protokol, kullanıcı arabiriminin sahtecilikle iframe içeren sayfalarından uzaktan kullanılabilir.
  14. WebExtension yüklemesiyle ilgili birden çok güvenlik açığı güvenlik kısıtlamalarını atlamak için kullanılabilir;
  15. WebCrypto API'sindeki AES-GCM uygulamasına ilişkin bir güvenlik açığı, hassas bilgiler elde etmek için uzaktan kullanılabilir.
  16. Xray sarma mekanizmasına ilişkin bir güvenlik açığı, kullanıcı arabiriminin parodi için uzaktan kullanılabilir.

Teknik detaylar

Güvenlik açığı (2) yalnızca Android için Firefox'u etkiler. Diğer işletim sistemleri etkilenmez.

Görüntüleri yeniden boyutlandırırken tasarım modunda güvenlik açığı (3) oluşur.

Güvenlik açığı (7) sadece OS X işletim sistemini etkiler. Diğer işletim sistemleri etkilenmez.

Güvenlik açığı (14) yalnızca Android için Firefox'u etkiler. Diğer işletim sistemleri etkilenmez.

Güvenlik açığı (15) yalnızca e10 çok işlemcili kapalı yüklemeleri etkiler.

1-9 Güvenlik Açıkları, Mozilla Firefox ESR ile ilgilidir.

Tüm güvenlik açıkları Mozilla Firefox ile ilgilidir.

Not: Her güvenlik açığının CVSS derecesi zaten mevcut değildir, bu nedenle kümülatif CVSS derecelendirmesi temsilci olamaz.

Not: Bu güvenlik açığının kamuya açık CVSS değeri yoktur, bu nedenle derecelendirme zamana göre değiştirilebilir.

Not: Şu anda Mozilla bu güvenlik açıkları için CVE numaralarını rezerve etmiştir. Bilgi yakında değiştirilebilir.

Etkilenmiş ürünler

Mozilla Firefox 56'dan önceki sürümleri
Mozilla Firefox ESR sürümleri 52.4'ten önceki

Çözüm

En son sürüme güncelle
Mozilla Firefox ESR indirin
Mozilla Firefox'u İndirin

Orijinal öneriler

MSFA 2017-22
MSFA 2017-21

Etkiler
?
RLF 
[?]

SUI 
[?]

OSI 
[?]

XSSCSS 
[?]

SB 
[?]

DoS 
[?]
Alakalı ürünler
Mozilla Firefox ESR
Mozilla Firefox
CVE-IDS
?

CVE-2017-7811
CVE-2017-7820
CVE-2017-7822
CVE-2017-7821
CVE-2017-7816
CVE-2017-7815
CVE-2017-7813
CVE-2017-7812
CVE-2017-7817
CVE-2017-7810
CVE-2017-7823
CVE-2017-7825
CVE-2017-7814
CVE-2017-7805
CVE-2017-7824
CVE-2017-7819
CVE-2017-7818
CVE-2017-7793


Orijinaline link